package Task::Moose;

our $VERSION   = '0.02';
our $AUTHORITY = 'cpan:STEVAN';

1;

__END__

=pod

=head1 NAME

Task::Moose - Moose in a box

=head1 DESCRIPTION

This Task installs Moose and then optionally installs a number of 
Moose extensions listed below. This list is meant to be comprehensive, 
so if I missed something please let me know.

=over 4

=item I<Declarative syntax>

L<MooseX::Declare>

=item I<Autoboxing support>
    
L<Moose::Autobox>

=item I<Class attributes for Moose>

L<MooseX::ClassAttribute>

=item I<Support for PBP style accessors>

L<MooseX::SemiAffordanceAccessor>

=item I<Moose-ish method parameter handling>
    
L<MooseX::Params::Validate>
    
=item I<Declarative method syntax>

L<MooseX::Method::Signatures>

=item I<Making Moose constructors stricter>
    
L<MooseX::StrictConstructor>

=item I<Runtime Trait application in constructors>

L<MooseX::Role::TraitConstructor>
    
=item I<Parameterized roles>

L<MooseX::Role::Parameterized>

=item I<Easy creation of objects with traits>

L<MooseX::Traits>

=item I<Globref instance type for Moose>
    
L<MooseX::GlobRef>
    
=item I<Inside-Out instance type for Moose>

L<MooseX::InsideOut>

=item I<CGI-style parameter role>
    
L<MooseX::Param>
    
=item I<Singleton support role>

L<MooseX::Singleton>
    
=item I<Moose-ish Iterator support role>

L<MooseX::Iterator>
    
=item I<Moose-ish plugin system>

L<MooseX::Object::Pluggable>

=item I<More robust and flexible cloning support>
    
L<MooseX::Clone>

=item I<Subclassing of non-Moose classes>

L<MooseX::NonMoose>

=item I<Moose type extensions>
    
L<MooseX::Types>

=item I<Structured type constraints>

L<MooseX::Types::Structured>

=item I<Path::Class Moose type extension>

L<MooseX::Types::Path::Class>
    
=item I<Set::Object Moose type extension>
    
L<MooseX::Types::Set::Object>

=item I<DateTime Moose type extension>

L<MooseX::Types::DateTime>

=item I<Moose serialization>
    
L<MooseX::Storage>

=item I<Better script writing with Moose>
    
L<MooseX::Getopt>

=item I<Support for config with MooseX::Getopt>
    
L<MooseX::ConfigFromFile>
    
=item I<Config file support for MooseX::Getopt with Config::Any>
    
L<MooseX::SimpleConfig>
    
=item I<LogDispatch support for Moose>
    
L<MooseX::LogDispatch>

=item I<lazy loaded LogDispatch support for Moose>

L<MooseX::LazyLogDispatch>

=item I<App::Cmd integration for Moose>
    
L<MooseX::App::Cmd>
    
=item I<Daemonization support roles for Moose>
    
L<MooseX::Daemonize>

=item I<Easily wrap command line apps with Moose>
    
L<MooseX::Role::Cmd>

=item I<Base role for Async Moose modules>
    
L<MooseX::Async>
    
=item I<POE and Moose>

L<MooseX::POE>
    
=item I<Sub-process management for asynchronous tasks using Moose and POE>
    
L<MooseX::Workers>

=item I<Moose support tools>
    
L<Pod::Coverage::Moose>

=back

=head1 NOTES

L<MooseX::AttributeHelpers> has been removed from this list because
its functionality has been subsumed into L<Moose> itself. See
L<Moose::Meta::Attribute::Native> for more details.

=head1 BUGS

All complex software has bugs lurking in it, and this module is no 
exception. If you find a bug please either email me, or add the bug
to cpan-RT.

=head1 AUTHOR

Stevan Little E<lt>stevan.little@iinteractive.comE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright 2008 Infinity Interactive, Inc.

L<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut
